diff --git a/source/brailleDisplayDrivers/papenmeier.py b/source/brailleDisplayDrivers/papenmeier.py
index 8227eb6..1d232be 100644
--- a/source/brailleDisplayDrivers/papenmeier.py
+++ b/source/brailleDisplayDrivers/papenmeier.py
@@ -15,6 +15,7 @@ from logHandler import log
 import inputCore
 import brailleInput
 import struct
+import keyboardHandler
 
 try:
 	import ftdi2
@@ -528,8 +529,14 @@ class InputGesture(braille.BrailleDisplayGesture, brailleInput.BrailleInputGestu
 			self.id=brl_join_keys(brl_decode_key_names_repeat(driver))
 			return
 
-		if driver._baud != 1 and keys[0] == 'L' and not ((ord(keys[3])-48) >>3):
-			#get dots
+		if driver._baud != 1 and keys[0] == 'L':
+			if ((ord(keys[3]) -48) >>3):
+				scancode=ord(keys[5])-48 << 4| ord(keys[6])-48
+				press = not ord(keys[4]) & 1
+				ext = bool(ord(keys[4]) & 2)
+				keyboardHandler.injectRawKeyboardInput(press,scancode,ext)
+				return
+	#get dots
 			z  = ord('0')
 			b = ord(keys[4])-z
 			c = ord(keys[5])-z
diff --git a/user_docs/en/userGuide.t2t b/user_docs/en/userGuide.t2t
index 6bd9dd1..67ec96e 100644
--- a/user_docs/en/userGuide.t2t
+++ b/user_docs/en/userGuide.t2t
@@ -1758,8 +1758,7 @@ The following Braille displays are supported:
 If BrxCom is installed, NVDA will use BrxCom.
 BrxCom is a tool that allows you to use the Braille input independently from a screen reader.
 A new version of BrxCom which works with NVDA will be released by Papenmeier soon.
-Braille input is possible with the Trio, BRAILLEX Live 20 and Braillex Live devices without BrxCom.
-Braille input is also possible with the Live Plus model, but with BrxCom only.
+Braille input is possible with the Trio and BRAILLEX Live models.
 
 Most devices have an Easy Access Bar (EAB) that allows intuitive and fast operation.
 The EAB can be moved in four directions where generally each direction has two switches.
